<?php

	require_once("Control.php");
	require_once("ClientWindow.php");
	
	class DropDownList extends Control
	{
		var $OnChange;
		var $OnClick;
		
		var $TextList = array();
		var $ValueList = array ();

		function DropDownList ($name, $parent)
		{
			parent::Control($name, $parent);
		}
		
		//////////////////////////////////////////////////
		//
		//		
		//
		function Add ( $txt, $val )
		{
		 	array_push( $this->ValueList, $val );
		 	array_push( $this->TextList, $txt );
		}
		
		//////////////////////////////////////////////////
		//
		// 		On Request - This is where 'Request' is
		//			processed. Here syncronization of
		//			controls should take place from Request
		//			to variables.
		//
		function __protected__OnRequest()
		{
			$val = $_REQUEST[ $this->FullName() ];
			if ( $this->IsPostBack() == true )
			{
				$this->Text = $val;
			}
			parent::__protected__OnRequest();
		}
			
		function __protected__OnRequestNormal()
		{
		}

		function __protected__OnRequestSelect()
		{
		}

		function __protected__OnRequestEdit()
		{
		}

		//////////////////////////////////////////////////
		//
		// 		On Process - This is where drawing
		//		and displaying logic should reside
		//
		function __protected__OnProcess()
		{
			parent::__protected__OnProcess();
		}

		function __protected__OnProcessNormal()
		{
		}

		function __protected__OnProcessSelect()
		{
		}

		function __protected__OnProcessEdit()
		{
		}
			
		//////////////////////////////////////////////////
		//
		// 		On Response - This is where 'Response' is
		//			processed. Here syncronization of
		//			controls should take place from variables
		//			to Response.
		//
		function __protected__OnResponse()
		{
			parent::__protected__OnResponse();
		}
		
		function __protected__OnResponseNormal()
		{
			// print ( "<span name='$this->FullName()'>$this->Text</span>" );
			$this->__protected__OnResponseEdit();
		}
			
		function __protected__OnResponseSelect()
		{
			$this->__protected__OnResponseEdit();
		}
			
		function __protected__OnResponseEdit()
		{
			$this->OnClick="DropDownHandleClick( ".$this->FullName()." );";
			
			print ( "<select name='".$this->FullName()."' onchange=\"".$this->OnClick."\" class=\"DropDownStyle\" />" );
			for ( $i=0; $i < count ( $this->ValueList ); $i++ )
			{
				$t = $this->TextList [ $i ];
				$v = $this->ValueList [ $i ];

				print ( "<option"." " ); print ( "value=".$v." "); print ( $v == $this->Text ? "selected" : "" ); print (">");
				print ( $t );
				print ( "</option>" );
			}
			print ( "</select>" );
		}

	}
	
?>

<script language="JavaScript">

	function DropDownHandleClick( dropDownList )
	{
		var selectedValue = dropDownList.options[dropDownList.selectedIndex].value;

		if ( selectedValue == "" )
		{
			dropDownList.selectedIndex = 0;
			return;
		}

		setTimeout ( "DropDownReset ( document.<?php print ( CONST_FORM_MAIN() ); ?>." + dropDownList.name + ");", 3000 );
		NewWindow( selectedValue );
	}
	
	function DropDownReset ( dropDownList )
	{
		dropDownList.selectedIndex	= 0;
	}
	
</script>

<?php

	// $txtInpt0 = new DropDownList("MyList", null);
	// $txtInpt0->Add( "", "" );
	// $txtInpt0->Add( "India", "http://www.hindustantimes.com" );
	// $txtInpt0->Add( "UK", "http://www.bbc.co.uk" );
	// $txtInpt0->Add( "China", "http://www.china.com" );
	// $txtInpt0->Add( "USA", "http://www.cnn.com" );
	// $txtInpt0->OnChange="alert ('value is change');";
	// $txtInpt0->OnChange="HandleItemChange( ".$this->FullName()." );";
	// $txtInpt0->__protected__OnResponseEdit();
	
	// $txtInpt1 = new DropDownList("MyButton");
	// $txtInpt1->Text="salim";
	// print ("<br>\n");
	// $txtInpt1->Display();
	// print ("<br>\n");
	// print ( $txtInpt1->Name );
	// print ("<br>\n");
	
	// $txtInpt2 = new DropDownList("MyButton");
	// $txtInpt2->Text="uddin";
	// print ("<br>\n");
	// $txtInpt2->Display();
	// print ("<br>\n");
	// print ( $txtInpt2->Name );
	
?>