<?php
session_start();

   /***********************************************************************
   *    Copyright  2002 - 2005 Hewlett-Packard Development Company, L.P. *
   ***********************************************************************/

include "iocommand.php";
include "fefunctions.php";
$_SESSION["testPage"] = "custom.php";

$bgcolor = "#ffffff";
?>
<html>
  <head>
    <meta http-equiv='content-type' content='text/html; charset=UTF-8'>
    <title>HP Insight Diagnostics</title>
    <link rel='stylesheet' type='text/css' href='stylesheets/main.css'>
    <link rel='stylesheet' type='text/css' href='stylesheets/header.css'>
    <SCRIPT LANGUAGE='JavaScript' SRC='dom-drag.js'></SCRIPT>
    <style> body { background:white; } </style>
    <SCRIPT LANGUAGE='JavaScript' SRC='menufunctions.js'></SCRIPT>
  </head>
<?php
  $test = 0;
  $test = $_REQUEST["send"];
  
  if ($_REQUEST["advanced"] != "")
    $_SESSION["advanced"] = $_REQUEST["advanced"];
  
  if ($_REQUEST["testMode"] != "")
    $_SESSION["testMode"] = $_REQUEST["testMode"];

  if ($_REQUEST["runMode"] != "")
    $_SESSION["runMode"] = $_REQUEST["runMode"];

  if ($test) // if tests have been submitted
  {
    printf("<body TOPMARGIN=0 MARGINHEIGHT=0>");    
    $stopOnError = $HTTP_POST_VARS["stopOnError"];
    $runMode = $HTTP_POST_VARS["runMode"];

    if ($runMode == "time")
      $mode = $HTTP_POST_VARS["totalTestTime"];
    else
      $mode = $HTTP_POST_VARS["testLoops"];

    $dom = domxml_new_doc("1.0");
    $startProcess = $dom->create_element("startProcess");
    $diagRun = $dom->create_element("diagRun");

    $diagRun->set_attribute("jobCaption", htmlentities(TR("MSG_CUSTOM_TEST"),ENT_QUOTES,'utf-8'));

    if ($runMode == "time")
      $diagRun->set_attribute("desiredTestTime", $mode);
    else
      $diagRun->set_attribute("testLoops", $mode);

    if ($stopOnError == "on")
      $diagRun->set_attribute("stopOnError", "1");

    $diagRun->set_attribute("language", GetLanguage());        

    while(list($key, $value) = each($HTTP_POST_VARS))
    {
      $key = urldecode($key);
      if(strstr($key, "jason-junkin")) // its a <device>jason-junkin<test> !
      {
        $atLeastOneTest = true;      
        $idXml = new DomDocument($_SESSION["idResult"]);
        $idXpath = xpath_new_context($idXml->document_element());
	      $deviceStr = substr($key, 0, strpos($key, "jason-junkin")); // get the device
	      $testStr = substr($key,strpos($key, "jason-junkin")+12); // get the test
        $tests = xpath_eval($idXpath, "/diagOutput/category/device[@name='".$deviceStr."']/test[@name='".$testStr."']");
	      $testNode = $tests->nodeset[0];

	      $device = $testNode->parent_node();
        $testName = $testNode->get_attribute("name");
	      $testDescription = $testNode->get_attribute("description");
	      $testCaption = $testNode->get_attribute("caption");
	      $deviceCaption = $device->get_attribute("caption");
        $componentName = $device->get_attribute("component");
        $cdmClass = $device->get_attribute("cdmClass");        
        $deviceSlot = $device->get_attribute("Slot");
	      $deviceName = $device->get_attribute("name");

	      $runTest = $dom->create_element("runTest");
	      // get the posted parameters that were saved earlier
	      $formDatas = xpath_eval($idXpath, "/diagOutput/category/device[@name='".$deviceStr."']/test[@name='".$testStr."']/formData");
	      if (count($formDatas->nodeset))
	      {
	        $formData = $formDatas->nodeset[0];
	  	    $attributesArr = $formData->attributes();

          for( $j=0; $j < count($attributesArr); $j++)
          {
		        if ($attributesArr[$j]->get_content() == "on")
              $runTest->set_attribute($attributesArr[$j]->node_name(), "1");
            else if ($attributesArr[$j]->get_content() == "off")
              $runTest->set_attribute($attributesArr[$j]->node_name(), "0");
            else
		          $runTest->set_attribute($attributesArr[$j]->node_name(), $attributesArr[$j]->get_content());
          }
	      }
	      $runTest->set_attribute("component", $componentName);
        if ($componentName == "cdm")
        {
          $runTest->set_attribute("cdmClass", $cdmClass);
        }
	      $tcLoadFilename = $componentName . ".dat";
	      $runTest->set_attribute("tcLoadFilename", $tcLoadFilename);
	      $runTest->set_attribute("language", GetLanguage());
        $runTest->set_attribute("device", $deviceName);
        $runTest->set_attribute("test", $testName);
        if ($testNode->get_attribute("interactive") == "1" && $_SESSION["testMode"] == "interactive")
          $runTest->set_attribute("interactive", "1");
        if ($deviceSlot != "")
          $runTest->set_attribute("Slot", $deviceSlot); // slot the ctrlr is in that the device is attached to
        $runTest->set_attribute("description", htmlentities($testDescription,ENT_QUOTES,'utf-8'));
	      $runTest->set_attribute("caption", htmlentities($deviceCaption . " - " . $testCaption,ENT_QUOTES,'utf-8'));
        if ($testNode->get_attribute("singleThread") == "1")
          $runTest->set_attribute("singleThread", "1");
        if ($testNode->get_attribute("interactive") == "1" && $_SESSION["testMode"] == "interactive")
          $runTest->set_attribute("interactive", "1");
        else
          $runTest->set_attribute("interactive", "0");
        $runTest->set_attribute("complete", "1");

        $diagRun->append_child($runTest);
	    }
    }

    $scheduleMode = $HTTP_POST_VARS["scheduleType"];
    
    if ($atLeastOneTest) // at leat one test was selected
    {
      if ($scheduleMode == "diagRun") // if we want to schedule this test
      { 
        $scheduleProcess = $dom->create_element("scheduleProcess");
        $scheduleProcess->set_attribute("hour", $HTTP_POST_VARS["scheduleHour"]);
        $scheduleProcess->set_attribute("minute", $HTTP_POST_VARS["scheduleMinute"]);
        $scheduleProcess->set_attribute("mode", $HTTP_POST_VARS["scheduleMode"]);
        $scheduleProcess->set_attribute("weekdays", $HTTP_POST_VARS["scheduleWeekdays"]);
        $scheduleProcess->set_attribute("months", $HTTP_POST_VARS["scheduleMonths"]);
        $scheduleProcess->set_attribute("monthdays",$HTTP_POST_VARS["scheduleMonthdays"]);
        $scheduleProcess->append_child($diagRun);
        $dom->append_child($scheduleProcess);
      }
      else // otherwise, run now
      {
        $startProcess->append_child($diagRun);
        $dom->append_child($startProcess);
      }

      // debug
      //echo htmlentities($dom->html_dump_mem());

      if (IsFactory()) // create a script file
        $dom->dump_file($_SESSION["diagsDirectory"] . "customtest.xml");
    
      // Submit the diagRun command					  
      $runErrors = "";
      $runStatus = "";
      if (GetLanguage() == "ja")
        $diagRunStr = sprintf("%s", $dom->dump_mem(true, "UTF-8"));
      else
        $diagRunStr = sprintf("%s", $dom->dump_mem());
      $_SESSION["diagRun"] = $diagRunStr;
      ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", $diagRunStr, $runStatus, $runErrors);
      $xmldoc = new DomDocument($runStatus);
  
      $_SESSION["statusxml"] = "";
      $_SESSION["promptID"] = "";
      $_SESSION["statusDrawn"] = "false";
      unset($_SESSION["completedTests"]);
      $_SESSION["lastLoop"] = "";
      $_SESSION["REFRESH_RATE"] = 2;
      $_SESSION["diagnosisResult"] = "";

      $rootElement = $xmldoc->document_element();
      $_SESSION["testpid"] = $rootElement->get_attribute("processID");
  
      if ($scheduleMode != "diagRun") // if we did not schedule this test
      {
        // GO TO STATUS PAGE NOW...
        printf("<script language=\"JavaScript\">\n");
        /*
        if (IsDiagsCD() || IsPhoenix())
        {
          //remove the refresh button - it will lock up if we try to refresh whne testing
          printf("parent.parent.frames.headerFrame.document.getElementById('refresh').style.visibility = 'hidden';\n");
          printf("parent.parent.frames.headerFrame.document.getElementById('refresh').style.display = 'none';\n");
        }*/
      
        //printf("parent.parent.frames.headerFrame.scheduledTest = '';\n");
        printf("parent.frames.dataFrame1.doTab(3);\n");
        printf("parent.frames.dataFrame2.location = 'statusheader.php';");
        printf("</script>\n");
        
      
      }
      else
      {
        // GO TO STATUS PAGE NOW...
        printf("<script language=\"JavaScript\">\n");
        printf("parent.parent.frames.headerFrame.scheduledTest = 'custom';\n");
        printf("location = 'custom.php';");
        printf("</script>\n");
      }
    }
    else  // no tests were selected
    {
      // GO TO STATUS PAGE NOW...
      printf("<script language=\"JavaScript\">\n");
      printf("location = 'customtest.php';");
      printf("</script>\n");
    }
    
  }
  else // build the test page
  {
?>
<body TOPMARGIN=0 MARGINHEIGHT=0 onload='initPage();' onKeyDown="KeyDown(event)" onKeyUp="KeyUp(event)">
<script language='Javascript'>
  var ctrl = false;
  var alt = false;

  function KeyDown(e) //Advanced Mode
  {
    ctrl = true;

    if (e.keyCode == 18)
      alt = true;

    if (ctrl && alt && e.keyCode == 65)
    {
      if (parent.parent.frames.headerFrame.advanced)
      {
      <?php
      printf("  location='custom.php?testMode=%s&runMode=%s&advanced=0';\n", $_SESSION["testMode"],$_SESSION["runMode"]);
	    ?>
        parent.parent.frames.headerFrame.advanced = false;
        parent.parent.frames.headerFrame.document.getElementById("advancedModeTitle").style.display = "none";
        parent.parent.frames.headerFrame.document.getElementById("advancedModeTitle").style.visibility = "hidden";

      }
      else
      {
      <?php
      printf("  if (window.confirm(\"%s\"))\n", TR("MSG_ADVANCED_MODE_PROMPT1"));
      printf("        {\n          if (window.confirm(\"%s\"))\n", TR("MSG_ADVANCED_MODE_PROMPT2"));

      printf("          {\n            location='custom.php?testMode=%s&runMode=%s&advanced=1';\n", $_SESSION["testMode"],$_SESSION["runMode"]);
	    ?>
            parent.parent.frames.headerFrame.advanced = true;
            parent.parent.frames.headerFrame.document.getElementById("advancedModeTitle").style.display = "inline";
            parent.parent.frames.headerFrame.document.getElementById("advancedModeTitle").style.visibility = "visible";
          }
        }  
      }
    }

    return true;
  }

  function KeyUp(e)
  {
    ctrl = false;

    if (e.keyCode == 18)
      alt = false;
    return true;
  }

  function initPage()
  {
    theScheduleTitle = document.getElementById("scheduleTitle");
    theSchedule   = document.getElementById("scheduleIt");
    Drag.init(theScheduleTitle, theSchedule);
    frames.parameterIframe.location.href="parameters.php";
  }

  function changeTestMode(mode)
  {
    parent.frames.globalFrame.testsSelected = new Array(100);
    location = "custom.php?testMode=" + mode;
  }

 function swap(objct, image,treeIndex) //swaps tree images from x to -
 {
   if(document.getElementById(objct).style.visibility == 'visible')
   {
     document.getElementById(objct).style.display = 'none';
     document.getElementById(objct).style.visibility = 'hidden';
     document.images[image].src = 'tree_graphic_plus.png';
     parent.parent.frames.headerFrame.testTree[treeIndex] = "hidden";
   }
   else
   {
     document.getElementById(objct).style.display = 'inline';
     document.getElementById(objct).style.visibility = 'visible';
  
     document.images[image].src = 'tree_graphic_minus.png';
	   parent.parent.frames.headerFrame.testTree[treeIndex] = 'visible';
   }
 }

 function checkDeviceTests(dev, numTests, menuIndex)
 {
   hideScheduledMessage();
   swap('menu'+menuIndex,'image'+menuIndex, menuIndex);

   for(element=0; element <= numTests; element++)
   {
     document.diagRunForm.elements[dev+element].checked=document.diagRunForm.elements[dev+0].checked;
     // set the array that keeps track of the tests that are selected/deselected 
     if (parent.parent.frames.headerFrame.testsSelected[dev+element] == "true")
       parent.parent.frames.headerFrame.testsSelected[dev+element] = "";
     else
       parent.parent.frames.headerFrame.testsSelected[dev+element] = "true";
   }    
 }

 function getParameters(device, test, elroy)
 {
   hideScheduledMessage();

   // set the array that keeps track of the tests that are selected/deselected 
   if (parent.parent.frames.headerFrame.testsSelected[elroy] == "true")
     parent.parent.frames.headerFrame.testsSelected[elroy] = "";
   else
     parent.parent.frames.headerFrame.testsSelected[elroy] = "true";

   // now get the parameters
   document.diagRunForm.device.value = device;
   document.diagRunForm.test.value = test;
   document.getElementById('parameterIframe').contentWindow.document.parametersForm.submit();
   
 }

function checkAll()
{
  hideScheduledMessage();

  for (var i = 0; i < document.diagRunForm.elements.length; i++)
  {
    if (document.diagRunForm.elements[i].type == 'checkbox' && document.diagRunForm.elements[i].name != 'stopOnError')
      document.diagRunForm.elements[i].checked = true;

    // update the array that keeps track of the selected tests
	  parent.parent.frames.headerFrame.testsSelected[i] = 'true';
  }
}

function uncheckAll()
{
  hideScheduledMessage();

  for (var i = 0; i < document.diagRunForm.elements.length; i++)
  {
    if (document.diagRunForm.elements[i].type == 'checkbox' && document.diagRunForm.elements[i].name != 'stopOnError')
      document.diagRunForm.elements[i].checked = false;

    // update the array that keeps track of the selected tests
	  parent.parent.frames.headerFrame.testsSelected[i] = '';
  }
}


function validate(parameter)
{
  var val = new Number(parameter);
  if(val != parameter)
  {
    alert('<?php echo TR('MSG_NUMERIC_ONLY'); ?>');
    return false;
  }
  else if(val <= 0)
  {
    alert('<?php echo TR('MSG_NUMERIC_ONLY'); ?>' +' > 0');
    return false;
  }
  
  return true;
}

/*******************************************************************************************************
* This fuction submits the parameter page and then after the parameter page is submitted the parameter *
* page will call the BeginTesting function on the customtest page.  This has to be done this way or we *
* will lock up due to the fact that both pages have to access the idResult session variable.		       *
*******************************************************************************************************/
function SubmitParametersFirst()
{
  frames.parameterIframe.document.parametersForm.begin.value='1';
  frames.parameterIframe.document.parametersForm.submit();
}
</script>





    <FORM name='diagRunForm' method=post> 
      <table border=0 cellspacing=0 cellpadding=0 width='100%' height='100%' bgcolor=white>
        <tr>
          <td width=5>
          </td>
          <td valign=top>
          <?php
    $ci = new client_info();
    printf("<table width=100%%");
    if (strstr($ci->get_client_platform(), "indows"))
    {
      if (strstr($ci->get_client_browser(), "IE"))
        printf(" height='420'");
      else
        printf(" height='431'");
    }
    else
    {
      if (IsPhoenix())
        printf(" height='413'");
      else
        printf(" height='94%%'");
    }
    printf(" border=0 cellspacing=0 cellpadding=0>\n");
    ?>
    <tr><td width=6 bgcolor=#cccccc></td><td colspan=2 valign=top>    

    
<table>
<tr valign=top><td class='head'>
<?php 
printf("</td><td id='hasBeenScheduledMessage'  style='visiblity:hidden; display:none'>   <font color='blue'>*</font> This custom test has been scheduled");
?></td></tr>
</table>
<!-------- Buttons -------->
<table>
<tr><td width=5></td><td>
<?php
echo TR('MSG_CUSTOM_TEST_INSTRUCTIONS');
echo "<br>" . TR('MSG_SELECT_ALL_INSTRUCTIONS');
if (IsOnline())
  printf("<br>%s", TR("MSG_TEST_SCHEDULE_INSTRUCTION"));


?>
</td></tr>
</table>
<table>
<?php
    printf("  <tr><td width=5></td><td colspan=2>%s: <input type=radio name='testMode' value='interactive' onclick=\"document.diagRunForm.submit();\"", TR("MSG_TEST_MODE"));
    if ($_SESSION["testMode"] == "interactive")
      printf(" checked");
    printf(">%s <input type='radio' name='testMode' value='unattended' onclick=\"document.diagRunForm.submit();\"", TR("MSG_INTERACTIVE"));
    if ($_SESSION["testMode"] != "interactive")
      printf(" checked");
    printf(">%s</td></tr>", TR("MSG_UNATTENDED"));
    printf("  <tr><td width=5></td><td colspan=2>%s: <input type=radio name='runMode' value='loops'", TR("Duration of Test"));
    if ($_SESSION["runMode"] != "time")
      printF(" checked");
    printf(">%s <input type=text size=4 maxlength=4 name=testLoops VALUE='1'> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='runMode' value='time'", TR("MSG_NUMBER_OF_LOOPS"));
    if ($_SESSION["runMode"] == "time")
      printf(" checked");
    printf(">%s <input type=text size=4 maxlength=4 name=totalTestTime VALUE='0'></td></tr>", TR("MSG_TOTAL_TEST_TIME"));
    printf("  <tr><td width=5></td><td colspan=2><input type='checkbox' name='stopOnError'>%s</td>\n</tr>", TR("MSG_STOP_ON_FIRST_ERROR"));
?>
</table>
<table>
<tr><td width=5></td>
<td><?php echo MakeButton(TR("MSG_CHECK_ALL"), "checkAll()"); ?></td>
<td><?php echo MakeButton(TR("MSG_UNCHECK_ALL"), "uncheckAll()"); ?></td>
<td width=10></td>
<td><?php echo MakeButton(TR("MSG_EXPAND"), "expand_Collapse()", "expand_collapse"); ?></td></tr>
</table>
<!----- End Buttons ------>



<?php
printf("<div style='");
if (strstr($ci->get_client_platform(), "indows"))
{
  if (strstr($ci->get_client_browser(), "IE"))
    printf("height:236px");
  else
    printf("height:248px");
}
else
{
  if (IsPhoenix())
    printf("height:413px");
  else
    printf("height:420px");
}
printf(";overflow:auto'>\n");
?>
<table>
  <tr><td width=5></td>
    <td colspan=3 nowrap>
<?php

//echo "ADVANCED = " . $_SESSION["advanced"];

 // parent.parent.frames.dataFrame.frames.parmFrame.document.parametersForm.submit(); 
  $idXml = new DomDocument($_SESSION["idResult"]);
  $idXpath = @xpath_new_context($idXml->document_element());
  $categories = @xpath_eval($idXpath, "/diagOutput/category");
  $element = 7; // need to keep track of the number of elements on the page - starts at 5 b/c of the test mode fields
  $menuIndex = 0; // need to keep track of menu number
  
  
  $testFilter = "[";
  if (IsFactory())
    $testFilter = $testFilter . "@fieldtest='0' or @fieldtest='0' and @requiresEquipment='0' or @requiresEquipment='1' and @destructive='0' or @destructive='1'";
  else
    $testFilter = $testFilter . "@fieldtest='1' and @requiresEquipment='0' and @destructive='0'";
  if ($_SESSION["testMode"] != "interactive")
    $testFilter = $testFilter . " and @interactive='0'";
  $testFilter = $testFilter . "]";

  $num_categories = count($categories->nodeset);
  for ($i=0; $i < $num_categories; $i++)
  {
    $categoryNode = $categories->nodeset[$i];
    $categoryXpath = xpath_new_context($categoryNode);
    $devices = xpath_eval($categoryXpath, "/device");	
    $num_devices = count($devices->nodeset);
	  if ($num_devices)
	  {
      $catPrint = 0;
      $categoryName = $categoryNode->get_attribute("name");
      $categoryCaption = $categoryNode->get_attribute("caption");
      $categoryDescription = $categoryNode->get_attribute("description");
    	
      // do this with a sprintf b/c we do not know if we really want to display it yet b/c we don't know if we have tests to display
      // based on the testFilter
      $oss = sprintf("      <span onclick=swap('menu%d','image%d',%d);>\n", $menuIndex, $menuIndex, $menuIndex);
      $oss = $oss . sprintf("        <img src='tree_graphic_plus.png' name='image%d'>&nbsp;%s\n", $menuIndex, $categoryCaption);
      $oss = $oss . sprintf("      </span>\n      <br>\n");
      $oss = $oss . sprintf("      <div id='menu%d' style='Visibility:hidden; display:none;'>\n", $menuIndex);

      for ($j=0; $j < $num_devices; $j++)
      {
        $deviceNode = $devices->nodeset[$j];
	      $deviceXpath = @xpath_new_context($deviceNode);
        $deviceName = $deviceNode->get_attribute("name");
        $deviceCaption = $deviceNode->get_attribute("caption");
        $deviceDescription = $deviceNode->get_attribute("description");

	      $tests = @xpath_eval($deviceXpath, "/test".$testFilter);
        $num_tests = count($tests->nodeset);
        
        $listWithoutTests = $deviceNode->get_attribute("listWithoutTests");
        if ($listWithoutTests == "1")
        {
          $lWOTcaption  = $deviceNode->get_attribute("listWithoutTestsCaption");
          printf("    <img SRC='tree_graphic_minus.png'>&nbsp;%s (%s)\n<br>", $deviceCaption, $lWOTcaption);
        }
        
	      if ($num_tests) // we've found tests that satisfy the test filter
		    {
          if (!$catPrint) // and if we have not already printed the category div
          {
            printf("%s", $oss);
            $catPrint = 1;  // do not print the category div twice
            $menuIndex++;
          }

          $oss = $oss . sprintf("        &nbsp;&nbsp;&nbsp;&nbsp;\n");
          printf("        <input type=checkbox name='%s' onclick='checkDeviceTests(%d,%d,%d)' value='1'>\n", $deviceName, $element, $num_tests, $menuIndex);
		      $element++;
          printf("        <span title='%s' onclick=swap('menu%d','image%d',%d)>\n", $deviceDescription, $menuIndex, $menuIndex, $menuIndex);
          printf("          <img SRC='tree_graphic_plus.png' name='image%d'>&nbsp;%s\n", $menuIndex, $deviceCaption);
          printf("        </span>\n        <br>\n");
          printf("        <div id='menu%d' style='Visibility:hidden; display:none;'>\n", $menuIndex);		  

          $menuIndex++;
          for ($k=0; $k < $num_tests; $k++)
          {
	          $testNode = $tests->nodeset[$k];
            $testName = $testNode->get_attribute("name");
            $testCaption = $testNode->get_attribute("caption");
            $testDescription = $testNode->get_attribute("description");
            $requiresMedia = $testNode->get_attribute("requiresMedia");
            $interactive = $testNode->get_attribute("interactive");
            $uniqueElementName = urlencode($deviceName . "jason-junkin" . $testName);
            $uniqueElementName = str_replace(".","%2e",$uniqueElementName);
            if ($requiresMedia)
              $ossmp = $ossmp . sprintf("mediaArray[mediaArray.length] = '%s';\n", $deviceCaption);

            printf("          &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n");
            printf("          <span title='%s' onclick=\"getParameters('%s','%s', 0);\">\n", $testDescription, $deviceName, $testName);
            printf("            <input type=checkbox name='%s' id='%s' onclick=\"getParameters('%s','%s', %d);\">%s\n", $uniqueElementName, $deviceCaption, $deviceName, $testName, $element, $testCaption);			
			      $element++;
            printf("          </span>\n          <br>\n");
	        } // end for tests
	        printf("        </div>\n");
		    } // end if num_tests
	    } // end for devices
      printf("      </div>\n");
	  } // end if num_devices
  }

    printf("</td>\n  </tr>\n</table>\n</div>\n");


    printf("</td>\n<td><iframe name='parameterIframe' id='parameterIframe' src='' height=100%% width=100%% frameborder=0></iframe></td><td width=5 bgcolor=white></td>\n<td bgcolor=#cccccc width=5></td>\n</tr>\n");
    printf("<tr><td bgcolor=#cccccc height=5></td><td width=5 colspan=4></td><td bgcolor=#cccccc width=5></td></tr>\n");
    printf("<tr><td bgcolor=#cccccc width=5 colspan=6 height=5></td></tr>\n");
    printf("<tr><td colspan=5 height=5</td></tr>\n");
    //printf("<tr><td colspan=5 height=10>\n");                                                                                                                                                           
    printf("<table border=0 width=100%%>\n<tr>\n<td width=150>%s</td><td align=right>%s</td>\n\n", MakeButton(TR("MSG_EXIT") ." ". TR("MSG_DIAGNOSTICS"), "parent.frames.headerFrame.exit();"), MakeButton(TR("MSG_BEGIN_TESTING"), "SubmitParametersFirst();"));
    printf("</tr></table>\n\n");

    printf("</td></tr>");
    printf("</table>");
?>

<script language="Javascript">
var mediaArray = new Array();
<?php
  printf("%s", $ossmp);
?>
function expand_Collapse() 
{
  if(document.getElementById('expand_collapse').innerHTML == '<?php echo TR("MSG_EXPAND"); ?>')
  {
    document.getElementById('expand_collapse').innerHTML='<?php echo TR("MSG_COLLAPSE"); ?>';    
    for (i=0; i < <?php echo $menuIndex ?>; i++) 
    {
      document.getElementById('menu'+i).style.display = 'inline';
      document.getElementById('menu'+i).style.visibility = 'visible';
      document.images['image'+i].src = 'tree_graphic_minus.png';
	    parent.parent.frames.headerFrame.testTree[i] = 'visible';
    }
  }
  else
  {
    document.getElementById('expand_collapse').innerHTML='<?php echo TR("MSG_EXPAND"); ?>';
    for (i=0; i < <?php echo $menuIndex ?>; i++) 
    {
      document.getElementById('menu'+i).style.display = 'none';
      document.getElementById('menu'+i).style.visibility = 'hidden';
      document.images['image'+i].src = 'tree_graphic_plus.png';
	    parent.parent.frames.headerFrame.testTree[i] = 'hidden';
    }
  }
}

function growTrees(treeArray, select)
{
  if(parent.parent.frames.headerFrame.scheduledTest == "custom")
  {
    showScheduledMessage();
  }

  // expand the tree to it's last state
  var expanded=0;
  for (var i=0; i < <?php echo $menuIndex ?>; i++)
  {
	  if (treeArray[i] == "visible")
	  {
	    document.getElementById("menu"+i).style.display = 'inline';
      document.getElementById("menu"+i).style.visibility = 'visible';
      document.images["image"+i].src = 'tree_graphic_minus.png';
	    expanded++;
	  }	    
  }

  if(expanded == <?php echo $menuIndex ?>)
    document.getElementById('expand_collapse').innerHTML='<?php echo TR("MSG_COLLAPSE"); ?>';

  // check tests that were previously left checked
  for (var j=4; j < document.diagRunForm.elements.length; j++)
  {
	  if (select[j] == "true")
	  {
	    document.diagRunForm.elements[j].checked = "true";
	  }
  }
}

function BeginTesting()
{
  //parent.parent.frames.dataFrame.frames.parmFrame.document.parametersForm.submit();
  testSelected = 'false';
  for (var i = 0; i < document.diagRunForm.elements.length; i++)
  {
    if (document.diagRunForm.elements[i].type == 'checkbox' && document.diagRunForm.elements[i].name != 'stopOnError')
	    if(document.diagRunForm.elements[i].checked == true)
      {
        testSelected = 'true';
		  //  Media prompt crap
        var lastPrompt;
        for (var arrIndex=0; arrIndex < mediaArray.length; arrIndex++) 
        {
          if ((mediaArray[arrIndex] == document.diagRunForm.elements[i].id) && (lastPrompt !=mediaArray[arrIndex]))
          {
            <?php printf("alert('%s ' +mediaArray[arrIndex]);\n", TR("MSG_PLEASE_INSERT_MEDIA")); ?> 
             lastPrompt = mediaArray[arrIndex];
          }
        }
      }
  }

  if(testSelected == 'true')
  {
    
	  document.diagRunForm.send.value="1";
    document.diagRunForm.submit();
  }
  else
   alert('<?php echo TR('MSG_PLEASE_SELECT_TEST'); ?>');
}

parent.frames.globalFrame.testPage = "custom.php";
</script>
<input type=hidden name="send" value=0>
<input type=hidden name=device value="">
<input type=hidden name=test value="">
<input type='hidden' name='scheduleType' value='1'>
<input type='hidden' name='scheduleHour' value=''/>
<input type='hidden' name='scheduleMinute' value=''/>
<input type='hidden' name='scheduleMode' value=''/>
<input type='hidden' name='scheduleWeekdays' value=''/>
<input type='hidden' name='scheduleMonths' value=''/>
<input type='hidden' name='scheduleMonthdays' value=''/>
</form>
<script language='Javascript'>
if(parent.parent.frames.headerFrame.scheduledTest == "custom")
{
  showScheduledMessage();
}
</script>


    <input type='hidden' name='testSubmit' value='1'>

</form>
<?php
    include "schedule.php";
  }
?>
<script language="Javascript" src="norightclick.js"></script></body></html>





