<?php
session_start();

   /***********************************************************************
   *    Copyright  2002 - 2005 Hewlett-Packard Development Company, L.P. *
   ***********************************************************************/

$_SESSION["page"] = "diagnosislog.php";
include "iocommand.php";
include "fefunctions.php";
$pid = $_REQUEST["pid"];
$language = GetLanguage();
?>
<html>
  <head>
  <meta http-equiv='content-type' content='text/html; charset=UTF-8'>
  <TITLE>HP Insight Diagnostics</TITLE>
  <link rel='stylesheet' type='text/css' href='stylesheets/main.css'>
  <SCRIPT LANGUAGE='JavaScript' SRC='menufunctions.js'>\n</SCRIPT>
    <SCRIPT LANGUAGE='JavaScript' SRC='dom-drag.js'></SCRIPT>
    <style style='text/css'> body { background:white; } 
	#rootIt {
		position:absolute;
		height:200px;
		width:500px;
		background-color:#F4F4F4;
		border:1px solid #333;
		font-family:verdana, sans-serif;
		font-size:10px;
		}

	#handleIt {
		margin:2px;
		padding:2px;
		width:492px;
		color:black;
		background-color:#cccccc;
		cursor:default;
		}
	
	p {
		margin-top:2px;
		margin-bottom:1em;
		}
    
    </style>
    <script language="Javascript">
      function initPage()
      {
	      theHandle = document.getElementById("handleIt");
	      theRoot   = document.getElementById("rootIt");
	      Drag.init(theHandle, theRoot);
      }
    </script>
</head>
<body TOPMARGIN=0 MARGINHEIGHT=0 onload="initPage();">
<form name=diagnosisLogForm action=diagnosislog.php method=POST>
<input type=hidden name=saveLocation value='floppy'><input type=hidden name=save value=0>

<table border=0 cellspacing=0 cellpadding=0 width='100%' height=100% bgcolor=white>
  <tr>
    <td width=5>          </td>
    <td valign=top>

<div id='rootIt' style='left:100px; top:70px;Visibility:hidden; display:none;' name='rooty'>
  <div id='handleIt' width=100%><b><?php echo TR("MSG_SAVE"); ?></b></div>
  <div id='scrollContainerIt'>
<?php

//if (IsMounted("floppy"))
  printf("   <br>&nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='location' value='floppy' checked> %s\n", TR("MSG_SAVE_TO_FLOPPY"));

if (IsOnline())
  printf("    <br>&nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='location' value='harddrive'> %s %s<br>\n", TR("MSG_SAVE_TO_HARD_DRIVE"), $_SESSION["diagsDirectory"]);  

if (checkForUSBDevice("Transparent SCSI"))
{
  printf("                                 <br>&nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='location' value='diskonkey'> %s\n", TR("MSG_SAVE_TO_USB_KEY"));
  $diskonkey=true;
}

if (checkForUSBDevice("Floppy"))
{
  $usbFloppy = true;
  printf("                                 <br>&nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='location' value='usb'> %s\n", TR("MSG_SAVE_TO_USB_FLOPPY"));
}

printf("<br><table><tr><td valign=bottom>&nbsp;&nbsp;&nbsp;&nbsp;%s: <input type=text name=filename value='diagnosislog.html' onKeyPress='return submitenter(\"2\");'> </td>", TR("MSG_FILENAME"));
printf("<td>&nbsp;&nbsp;\n%s</td><td valign=top>&nbsp;&nbsp;%s\n</td></tr></table>", MakeButton(TR("MSG_SAVE"),"saveFile('2');",""), MakeButton(TR("MSG_CANCEL"),"document.getElementById('rootIt').style.display = 'none';document.getElementById('rootIt').style.visibility = 'hidden';",""));
?>
    <div id='scrollContentIt'></div>
  </div>
</div>

<?php


$diagnosisLogError = "";
$diagnosisLogString = "";
$getDiagnosisLogString = sprintf("<getDiagnosisLog language='%s'/>", $language);
ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", $getDiagnosisLogString, $diagnosisLogString, $diagnosisLogError);

$oss = $oss . sprintf("<table width=100%% height='93%%' border=0 cellspacing=0 cellpadding=0>\n");
$oss = $oss . sprintf("<tr><td bgcolor=#cccccc height=10></td><td width=5 colspan=4></td><td bgcolor=#cccccc width=5></td></tr>\n");
$oss = $oss . sprintf("<tr>\n<td width=6 bgcolor=#cccccc></td><td width=5></td><td colspan=2 valign=top>");

$oss = $oss . sprintf("<table height=100%% width=100%% cellspacing=0 cellpadding=0><tr><td height=5><table width=100%% cellspacing=0 cellpadding=0>\n  <tr class=heading>\n    <td class=heading width=500>%s, %s</td>\n", TR("MSG_DEVICE"), TR("MSG_TEST"));
$oss = $oss . sprintf("    <td class=heading width=150 align=center>%s</td>\n", TR("MSG_NUMBER_OF_TIMES_DIAGNOSED"));
$oss = $oss . sprintf("    <td class=heading width=100 align=center>%s</td>\n", TR("MSG_NUMBER_OF_ERRORS"));

$oss = $oss . sprintf("    <td class=heading width=100 align=center>%s</td>\n  </tr>\n</table>\n</td></tr><tr><td valign=top height=333>", TR("MSG_DIAGNOSIS_TIME"));
$oss = $oss . sprintf("<div style='height:100%%;overflow:auto'>\n<table width=100%% cellspacing=0 cellpadding=0 style='border-left: 2px #968f89 solid;border-right: 2px #968f89 solid;border-bottom: 2px #968f89 solid;'>\n");

if ($_REQUEST["clear"] == "1") // if user clicked the Clear button
{
  $clearError = "";
  $diagnosisLogString = "";
  $clearLogString = sprintf("<clearDiagnosisLog language='%s'/>", $language);
  ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", $clearLogString, $diagnosisLogString, $clearError);
}

if ($diagnosisLogString != "")
{
  $xmldoc = @new DomDocument($diagnosisLogString);
  $rootElement = @$xmldoc->document_element();
  //echo htmlentities($xmldoc->html_dump_mem());

  $rowColor = "";
  $diagnosisLogXpath = @xpath_new_context($xmldoc->document_element());
  $diagnosisLogRecords = @xpath_eval($diagnosisLogXpath, "/diagnosisLogRecord");
  $num_diagnosisLogRecords = count($diagnosisLogRecords->nodeset); // should only be 1 - replace with find first match if possible
  for ($i=0; $i < $num_diagnosisLogRecords; $i++)
  {
    $diagnosisLogRecord = $diagnosisLogRecords->nodeset[$i];
    $diagnosisCaption = $diagnosisLogRecord->get_attribute("diagnosisCaption");
    $diagnosisTime = $diagnosisLogRecord->get_attribute("testTime");
    $passedCount = $diagnosisLogRecord->get_attribute("passedCount");
    $failedCount = $diagnosisLogRecord->get_attribute("failedCount");
      $oss = $oss . sprintf("  <tr bgcolor='%s' valign=top>\n", $rowColor);
    if ($failedCount)
      $gif = "failed.gif";
    else
      $gif = "ok.gif";
      $oss = $oss . sprintf("    <td width=500><img src='%s'>&nbsp;&nbsp;%s</td>\n", $gif, $diagnosisCaption);
    if (!$failedCount)
      $failedCount = 0;
    $timesTested = $passedCount + $failedCount;
      $oss = $oss . sprintf("    <td width=150 align=center>%d</td>\n", $timesTested);
    $oss = $oss . sprintf("    <td width=100 align=center>%d</td>\n", $failedCount);
      $oss = $oss . sprintf("    <td width=100 align=center>%s</td>\n  </tr>\n", $diagnosisTime);

      // Alternate the row color
    if($rowColor == "")
      $rowColor = "#eeeeee"; // make gray
    else
      $rowColor = ""; // make white

  }
  $oss = $oss . sprintf("</table>\n</div>\n</td></tr></table>");

  $oss = $oss . sprintf("</td>\n<td width=5 bgcolor=white></td>\n<td bgcolor=#cccccc width=5></td>\n</tr>\n");
  $oss = $oss . sprintf("<tr><td bgcolor=#cccccc height=5></td><td width=5 colspan=4></td><td bgcolor=#cccccc width=5></td></tr>\n");
  $oss = $oss . sprintf("<tr><td bgcolor=#cccccc width=5 colspan=6 height=5></td></tr>\n");
  $oss = $oss . sprintf("<tr><td colspan=5 height=5></td></tr></table>\n");
//  $oss = $oss . sprintf("<tr><td colspan=5 height=10>\n");                                                                                                                                                           
  $oss = $oss . sprintf("<table border=0 width=100%%>\n<tr>\n<td width=150>%s</td><td align=right>%s</td><td align=right width=55>%s</td>\n</tr>\n", MakeButton(TR("MSG_EXIT") ." ". TR("MSG_DIAGNOSTICS"), "parent.frames.headerFrame.exit();"), MakeButton(TR("MSG_CLEAR_DIAGNOSIS_LOG"), "clearLog();"), MakeButton(TR("MSG_SAVE"), "document.getElementById('rootIt').style.display = 'inline';document.getElementById('rootIt').style.visibility = 'visible';"));
  $oss = $oss . sprintf("</table>\n\n");
      
  $oss = $oss . sprintf("</td></tr></table>");
}

$oss = $oss . sprintf("<SCRIPT Language='Javascript'>\n");
$oss = $oss . sprintf("function clearLog()\n{\n");
$oss = $oss . sprintf("  if (window.confirm('%s'))\n", TR("MSG_OK_TO_CLEAR_ERROR_LOG"));
$oss = $oss . sprintf("    document.location='diagnosislog.php?clear=1';\n}\n");


$oss = $oss . sprintf("function saveFile(s)\n{\n");
$oss = $oss . sprintf("  if (s == 2 && (document.diagnosisLogForm.filename.value == '' || document.diagnosisLogForm.filename.value == '.html' || document.diagnosisLogForm.filename.value == '.htm'))\n{\n");
$oss = $oss . sprintf("    alert('%s');\n", TR("MSG_PLEASE_ENTER_FILENAME"));
$oss = $oss . sprintf("    return;\n }\n");

$element=1;
if (IsOnline())
{
  $oss = $oss . sprintf("    if (document.diagnosisLogForm.location[%d].checked)\n{\ndocument.diagnosisLogForm.saveLocation.value = 'harddrive';\n}\n", $element);
  $element++;
}

if ($diskonkey)
{
  $oss = $oss . sprintf("    if (document.diagnosisLogForm.location[%d].checked)\ndocument.diagnosisLogForm.saveLocation.value = 'diskonkey';\n", $element);
  $element++;
}

if ($usbFloppy)
{
  $oss = $oss . sprintf("    if (document.diagnosisLogForm.location[%d].checked)\ndocument.diagnosisLogForm.saveLocation.value = 'usb';\n", $element);
  $element++;
}

$oss = $oss . sprintf("  document.diagnosisLogForm.save.value = s;\n");
$oss = $oss . sprintf("  document.diagnosisLogForm.submit();\n");
$oss = $oss . sprintf("  document.getElementById('filename').value = 'diagnosislog.html';\n}\n");


if ($HTTP_POST_VARS["save"] == "2")  // check if file exits
{

  if ($HTTP_POST_VARS["saveLocation"] == "floppy")
  {
    if ($os == "Linux" || $os == "Unix" || !IsOnline())
      ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", "<systemCall>mount " . getPathToFloppy() . "</systemCall>", $returnString, $systemCallError);
    $fileP = getPathToFloppy() . $HTTP_POST_VARS["filename"];
  }
  else if ($HTTP_POST_VARS["saveLocation"] == "usb")
  {  
    if ($os == "Linux" || $os == "Unix")
      ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", "<systemCall>mount /mnt/diskonkey</systemCall>", $returnString, $systemCallError);
    $fileP = "/mnt/diskonkey" . $HTTP_POST_VARS["filename"];
  }
  else if ($HTTP_POST_VARS["saveLocation"] == "usb")
  {
    $fileP = "/mnt/usb/" . $HTTP_POST_VARS["filename"];
  }
  else
    $fileP = $_SESSION["diagsDirectory"] . $HTTP_POST_VARS["filename"];

  if (file_exists($fileP))
  {
    $oss = $oss . sprintf("if  (!window.confirm('Saving will overwrite the existing file. Do you wish to continue?'))\n{");
    $oss = $oss . sprintf("    \n  document.diagnosisLogForm.save.value=0;\n");
    $oss = $oss . sprintf("    document.diagnosisLogForm.submit();\n   }\n");
    $oss = $oss . sprintf("else\n");
    $oss = $oss . sprintf("{\n");
    $oss = $oss . sprintf("  document.diagnosisLogForm.saveLocation.value='%s';\n", $HTTP_POST_VARS["saveLocation"]);
    $oss = $oss . sprintf("  document.diagnosisLogForm.filename.value='%s';\n",$HTTP_POST_VARS["filename"]);
    $oss = $oss . sprintf("  saveFile(3);\n}\n");

  }
  else
  {
    $oss = $oss . sprintf("  document.diagnosisLogForm.saveLocation.value='%s';\n", $HTTP_POST_VARS["saveLocation"]);
    $oss = $oss . sprintf("  document.diagnosisLogForm.filename.value='%s';\n",$HTTP_POST_VARS["filename"]);
    $oss = $oss . sprintf("  saveFile(3);\n");
  } 
   
}
if ($HTTP_POST_VARS["save"] == "1") // keep savePrompt displayed
  $oss = $oss . sprintf("document.getElementById('savePrompt').style.display = 'inline';\ndocument.getElementById('savePrompt').style.visibility = 'visible';\n");

$oss = $oss . sprintf("</script>\n");

$oss = $oss . sprintf("</form>\n</body>\n</html>\n");

printf("%s", $oss);  



if ($HTTP_POST_VARS["save"] == "3")  
{ // Save page

  $result = SaveFile($HTTP_POST_VARS["filename"],$HTTP_POST_VARS["saveLocation"], "HP Insight Diagnostics " . TR("MSG_VERSION") . " " . getBuildVersion() . "<br>" . TR("Computer Name") . ": " . getComputerName() . $oss);

  if ($result == 1 || $result == 3)
    printf("<script language='Javascript'>\nalert('%s - %s');\n</script>\n", TR("MSG_WRITEERROR"), TR("MSG_PLEASE_CHECK_MEDIA"));
  else if ($result == 2)
    printf("<script language='Javascript'>\nalert('%s - %s');\n</script>\n", TR("MSG_WRITEERROR"), TR("MSG_DISK_FULL"));
  else if ($result == 4)
    printf("<script language='Javascript'>\nalert('%s - %s');\n</script>\n", TR("MSG_WRITEERROR"), TR("MSG_BAD_FORMAT"));
  else
    printf("<script language='Javascript'>\nalert('%s');\n</script>\n", TR("MSG_FILE_WRITE_COMPLETE"));
}		

?>
