<?php
session_start();
error_reporting(E_ALL ^ E_WARNING ^ E_NOTICE);
?>
<html>
<head>
<title>HP Insight Diagnostics</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body onLoad="setTimeout('nextPage()', 1000)">
<?php 
  include "iocommand.php";
  include "fefunctions.php";
  $pid = $_REQUEST["pid"];
  $aTcHasCrashed = false;

  $idErrors = "";
  $idStatus = "";
  $statusCommand = sprintf("<getProcessStatus processID='%s' />", $pid);

  ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", $statusCommand, $idStatus, $idErrors);
  $xmldoc = new DomDocument($idStatus);
  $rootElement = $xmldoc->document_element();
  
  if ($rootElement->tagname == "error")
  {
    printf("<script language='Javascript'>\nalert('" . $rootElement->get_content() . "');\nparent.window.close();\n</script>\n");
  }
  
  $percentComplete = $rootElement->get_attribute("percentComplete");

  if (strlen($percentComplete) == 0) // if empty
    $percentComplete = 0; // set to zero
  $state = $rootElement->get_attribute("state");

  if ($state != "running")
  { 
    $resultCommand = sprintf("<getProcessResult processID='%s' />", $pid);
    ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", $resultCommand, $_SESSION["idResult"], $idErrors);
  }

  printf("<script language=Javascript>\n");
  printf("function nextPage(){\n");
  printf("parent.frames.idstatus.document.getElementById(\"overallPercent\").style.width = \"%d%%\";\n", $percentComplete);
  printf("parent.frames.idstatus.document.getElementById(\"overallPercent\").innerHTML = \"<center><b>%d%%</b></center>\";\n", $percentComplete);

  if ($state == "running")
  {
    if ($_REQUEST["cfg"] == "1")
      printf("window.location = 'updateidstatus.php?pid=%s&cfg=1';", $pid);
    else
      printf("window.location = 'updateidstatus.php?pid=%s';", $pid);
  }
  else if ($state != "crashed" && !$aTcHasCrashed && $percentComplete == "100") // if passed
  {
    //printf("document.onkeydown = keyHit;");
    if ($_REQUEST["cfg"] == "1" || checkDiagConfig("/factory/configVerify"))
      printf("window.parent.location = 'configverifyform.php?pid=%s';", $pid);
    else
    	printf("window.parent.location = 'hpdiags.php?pid=%s';", $pid);  
  }

  printf("}\n");
  printf("parent.frames.idstatus.document.getElementById(\"loading\").innerHTML = \"<font size='3' color='#000000' face='helvetica'>%s %s. <br><br>%s ...%s.\";\n", TR("MSG_LOADING"),TR("MSG_HP_INSIGHT_DIAGNOSTICS"),TR("MSG_PLEASE_WAIT"), TR("MSG_SCANNING_HARDWARE"));
  printf("</script>");  
  
?>

