<?php

	require_once("Control.php");

	class LinkButton extends Control
	{
		var $ClickHandler;
		var $OnClick;
		var $ImageSource;
		var $PostBackAnchor; // Name of anchor, to which to scroll in case of click
				
		function LinkButton($name, $parent_)
		{
			parent::Control($name, $parent_);
		}
		
		//////////////////////////////////////////////////
		//
		// 		On Request - This is where 'Request' is
		//			processed. Here syncronization of
		//			controls should take place from Request
		//			to variables.
		//
		function __protected__OnRequest()
		{
			parent::__protected__OnRequest();
			
			$val = $_REQUEST[ $this->FullName() ];
			if ( $val==$this->Text )
			{
				if ( isset( $this->ClickHandler )  )
				{
					$this->ClickHandler->Execute();
				}
			}
		}
			
		function __protected__OnRequestNormal()
		{
		}

		function __protected__OnRequestSelect()
		{
		}

		function __protected__OnRequestEdit()
		{
		}

		//////////////////////////////////////////////////
		//
		// 		On Process - This is where drawing
		//		and displaying logic should reside
		//
		function __protected__OnProcess()
		{
			parent::__protected__OnProcess();
		}

		function __protected__OnProcessNormal()
		{
		}

		function __protected__OnProcessSelect()
		{
		}

		function __protected__OnProcessEdit()
		{
		}
			
		//////////////////////////////////////////////////
		//
		// 		On Response - This is where 'Response' is
		//			processed. Here syncronization of
		//			controls should take place from variables
		//			to Response.
		//
		function __protected__OnResponse()
		{
			parent::__protected__OnResponse();
		}
			
		function __protected__OnResponseNormal()
		{
			$self = $_SERVER['PHP_SELF'];
			$href = $self."?".$this->FullName()."=".$this->Text;
			
			if ( $this->PostBackAnchor != null )
				$href .= "#".$this->PostBackAnchor;
			
			$content = $this->Text;
			if ( $this->ImageSource != null )
				$content = "<img src='".$this->ImageSource."' border=0 />";

			print ( "<a href='$href' OnClick=\"$this->OnClick\">$content</a>" );
		}
			
		function __protected__OnResponseSelect()
		{
			$this->__protected__OnResponseNormal();
		}
			
		function __protected__OnResponseEdit()
		{
			$this->__protected__OnResponseNormal();
		}
	}
	
?>

<?php

	/*
	$btn1 = new LinkButton("MyButton");
	$btn1->Text="salim";
	print ("<br>\n");
	$btn1->Display();
	print ("<br>\n");
	print ( $btn1->Name );
	print ("<br>\n");
	
	$btn2 = new LinkButton("MyButton");
	$btn2->Text="uddin";
	print ("<br>\n");
	$btn2->Display();
	print ("<br>\n");
	print ( $btn2->Name );
	*/
?>