<?php

	/* -------------------------------------------------------------------------
	----------------------------------------------------------------------------
	
						Install Server
						
	----------------------------------------------------------------------------					
	-------------------------------------------------------------------------- */

	require_once ("../Util/Constant.php");
	require_once(CONST_DIR_DATA_PROTECTION()."/Control/Control.php");
	require_once(CONST_DIR_DATA_PROTECTION()."/Server/ManagerSoftwareDeployment.php");
	
	class InstallServer extends Control
	{
		var $MessageFromServer = '';
		var $SubmitParameters = ''; /* Preserves Query String and re-use it, when re-submitting to itself */
		var $Interval = 2;

		function InstallServer($sectionId, $parent)
		{
			parent::Control($sectionId, null); 		// Todo : always pass null for parent because parent helps in forming full name to make it unique. 
													// 		In case of download, server and client may reside on different parent controls, thus forming
													//		different fullnames and causing confusion b/w server and client, while finding each other. 
													//		full name of a control is it's own name + parent name + parent's parent's name + .....
		}

		function GetSectionId()
		{
			return $this->Name;
		}
		
		function SetSectionId ( $sectionId )
		{
			$this->Name = $sectionId;
		}
		
		//////////////////////////////////////////////////
		//
		// 		On Response - This is where 'Response' is
		//			processed. Here syncronization of
		//			controls should take place from variables
		//			to Response.
		//

		function __protected__OnResponse()
		{
			$this->SubmitParameters = $_SERVER['QUERY_STRING'];
			
			?>			

				<form name="formHttpRPC<?php $this->Mangle();?>" method="POST" action="<?php print($_SERVER['PHP_SELF']) ?>?<?php /* BUG FIX */ print ( $this->SubmitParameters ); ?>" >
				</form>
			
			<?php
				
				// Bug Fix - Very important to avoid error, when accessing on remote machine
				// sleep($this->Interval);
				
				// Now same functionality is performed by javascript on client
			?>

			<script language="javascript">
				
				function ReSubmit<?php $this->Mangle()?>()
				{			
						<?php
							$installInProgress = false;
							
							$software = SwDeployMANAGER( $this->GetSectionId() );

							if ( SwDeployIsStateInstallInProgress( $software )== true /* Continuation Condition */ )
							{
								$this->MessageFromServer = "Install in progress. Checking state.....";
								$installInProgress = true;
							}
							else if ( SwDeployIsStateInstallSuccessful( $software ) == true /* Termination Condition */ )
							{	
								$this->MessageFromServer = "Install Successful !";
								$installInProgress = false;
							}
							else
							{
								$this->MessageFromServer = "Either state is initial, or download in progress or indeterminate state";								
								$installInProgress = false;
							}
						?>
						
						//
						//		Data Exchange from Server to the Client
						//
						window.parent.divMessageFromServer<?php $this->Mangle()?>.innerHTML = "<?php print( $this->MessageFromServer ); ?>";

						var installInProgress = <?php print ( $installInProgress==true?"true":"false" ) ?>;
						if ( installInProgress == true /* Continuation Condition */ )
						{
							document.formHttpRPC<?php $this->Mangle();?>.submit(); /* Resubmit to self */
						}
						else if ( installInProgress == false /* Termination Condition */ )
						{	
							clearInterval ( timerID<?php $this->Mangle()?> );
							window.parent.<?php print ( CONST_FORM_MAIN() ) ?>.submit(); // resumit the main window, and allow control to exist it's state
						}
				}
				timerID<?php $this->Mangle()?> = setInterval ("ReSubmit<?php $this->Mangle()?>()", <?php print( $this->Interval*1000 ) ?> );
				
			</script>
			
			<?php
		}
	}
?>

<?php

	$sectionId = $_REQUEST["SectionId"];
	if ( $sectionId != null )
	{	
		print ("Install Server");
		$installServer = new InstallServer( $sectionId, null );
		$installServer->Display();
	}
	else 
	{
		print ( __FILE__." - OS [".$os."] in SectionId [".$sectionId."] not found");
	}

?>

<?php
	// Sending debug message from server via javascript
	// print ( "window.parent.divDebug".$this->InstanceName().".innerText ='Continuing - file exists';" );	
?>