<?php

	class SetupLog
	{
		var $FilePath;
		var $ReleaseVersion;
		var $InstallLocation;
		
		var $ExecutableName;
		var $ExecutablePath;
		
		function SetupLog ( $filePath )
		{
			$this->FilePath = $filePath;
		}
		
		function ReadFromXml()
		{
			if ( !isset ( $this->FilePath ) || trim ( $this->FilePath ) == "" || ! file_exists( $this->FilePath) )
				return;
				
			$dom = domxml_open_file($this->FilePath);
			
			$xmlnodeRoot = $dom->document_element();
			$xmlnodeReleaseVersionList = $xmlnodeRoot->get_elements_by_tagname("ReleaseVersion");
			$xmlnodeInstallLocation = $xmlnodeRoot->get_elements_by_tagname("InstallLocation");
			
			if ( count ( $xmlnodeReleaseVersionList )== 1 )
			{
				$this->ReleaseVersion = $xmlnodeReleaseVersionList[0]->get_content();
			}
			else 
			{
				$this->ReleaseVersion = "";
			}
			
			if ( count ( $xmlnodeInstallLocation ) == 1 )
			{
				$this->InstallLocation = $xmlnodeInstallLocation[0]->get_content();;
			}
			else 
			{
				$this->InstallLocation = "";
			}
			
			$this->ExecutableName = basename( $this->InstallLocation );
			$this->ExecutablePath = dirname( $this->InstallLocation );
		}
	}

?>

<?php

	// $setupLog = new SetupLog("C:\\hp\\hpsmh\\data\\htdocs\\dataprotection\\server\\LTT_LOCAL_REQUEST\\setuplog.xml");
	// $setupLog->ReadFromXml();
	
	// print ("Release Version = ".$setupLog->ReleaseVersion."<br/>");
	// print ("Install Location = ".$setupLog->InstallLocation."<br/>");
	// print ( "File = ".$setupLog->ExecutableName."<br/>" );
	// print ( "Dir = ".$setupLog->ExecutablePath."<br/>" );

?>