<?php
session_start();

   /***********************************************************************
   *    Copyright  2002 - 2005 Hewlett-Packard Development Company, L.P. *
   ***********************************************************************/
include "iocommand.php";
include "fefunctions.php";
$_SESSION["testPage"] = "";
$_SESSION["statusxml"] = "";
$_SESSION["promptID"] = "";
$_SESSION["statusDrawn"] = "false";
unset($_SESSION["completedTests"]);
$_SESSION["prompting"] = false;
$_SESSION["REFRESH_RATE"] = 2;
?>
<html>
<head>
  <meta http-equiv='content-type' content='text/html; charset=UTF-8'>
  <title>HP Insight Diagnostics</title>
  <link rel='stylesheet' type='text/css' href='stylesheets/main.css'>
  <link rel='stylesheet' type='text/css' href='stylesheets/menu.css'>
  <style> body { background: cccccc; } </style>
<SCRIPT LANGUAGE='JavaScript' SRC='menufunctions.js'></script>
</head>

<?php

  $manualOverride = $_REQUEST["man"];
  $idXml = new DomDocument($_SESSION["idResult"]);
  $root = $idXml->document_element();
  if (!$root->has_child_nodes())
  {
    $resultCommand = sprintf("<getProcessResult processID='%s' />", $_REQUEST["pid"]);
    ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", $resultCommand, $_SESSION["idResult"], $idErrors);
    printf("<script language='Javascript'>\nwindow.location='hpdiags.php?pid=%s';\n</script>\n", $_REQUEST["pid"]);
  }
  else
  {
    
    $filepath = $_SESSION["diagsDirectory"] . "diagconfig.xml";
    if (!$dom = LoadXmlDocument($filepath))
    {
      echo "NO DIAG CONFIG";
      exit;
    }

	  $rootXpath = xpath_new_context($dom->document_element());
	  $srcs = xpath_eval($rootXpath, "/src");
	  if (count($srcs->nodeset) && !$manualOverride)
	  {// found a reference to a script file
	    $srcfile = $srcs->nodeset[0]->get_attribute("name");
	    $srcpath = $srcs->nodeset[0]->get_attribute("path");

	    if ($srcpath == "")
	      $srcpath = $_SESSION["diagsDirectory"];

      // if they want to create and use a factory.xml file
      if (strstr($srcfile,"factory.xml"))
	    {
        $contents = getDirectoryContents($srcpath); // get all the files from the directory
        
        $dir_length = count($contents);
        for($i=0;$i<$dir_length;$i++)
        {
          if (strstr($contents[$i], ".src.xml")) // found the script file
          {
            if (!file_exists($srcpath . "factory.xml"))
            {
              // now translate the script file from DxEdit xml schema to Diags xml schema
		          $dxtransErrors = "";
  	          $dxtransStatus = "";
  	          $dxtransStr = sprintf("<systemCall>%sdxtranslate %s%s</systemCall>", $_SESSION["diagsDirectory"], $_SESSION["diagsDirectory"], $contents[$i]);
  	          ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", $dxtransStr, $dxtransStatus, $dxtransErrors);
            }
            // open the factory.xml file
            if ($xmldoc = @LoadXmlDocument($srcpath . $srcfile))
            {
              $factoryRoot = $xmldoc->document_element();
              $factoryXML = @xpath_new_context($factoryRoot);
              $station = $factoryRoot->get_attribute("station");
              // find out what script needs to be run first
              $srcs = @xpath_eval($factoryXML, "/src[@station='$station']");
              if (count($srcs->nodeset))
              {
                $status = $srcs->nodeset[0]->get_attribute("status");
                if (strstr($status, "assed")) // if Passed or passed
                {
                  $station++;
                  $srcs = @xpath_eval($factoryXML, "/src[@station='$station']");
                  if (count($srcs->nodeset))
                    $scriptFile = $srcs->nodeset[0]->get_attribute("name"); // get the script's filename
                  $factoryRoot->set_attribute("station", $station);
                  $result = SaveFile("factory.xml", "harddrive", $xmldoc->dump_mem());
                }
                else
                  $scriptFile = $srcs->nodeset[0]->get_attribute("name"); // get the script's filename
                $scriptFile = $_SESSION["diagsDirectory"] . $scriptFile;
              }
            }
            break;
          }
        }
        
	    }
      else
        $scriptFile = $srcpath . $srcfile;

      $errorsFound = false;
      // check errorlog for errors - do not run if so
      if ($errorLog = @LoadXmlDocument($_SESSION["diagsDirectory"] . "errorlog.xml"))
      {
        $errorLogRoot = @xpath_new_context($errorLog->document_element());
        $errorLogRecords = @xpath_eval($errorLogRoot, "/errorLogRecord");
        if (count($errorLogRecords->nodeset) > 0) // found Errors
        {
          $errorsFound = true;
  	      // GO TO ERROR LOG PAGE NOW...
          printf("<frameset  rows='0,0,65,40,50,*' framespacing=0 frameborder=0 border=0 onload=\"document.frames.dataFrame1.doTab(4);\" ");
          if (IsOnline())
           printf("onunload=\"window.open('exit.php');\"");
          printf(">\n");
          printf("  <frame name='globalFrame' src='globals.php?tabpage=logtabs' noresize marginwidth=0 marginheight=0 scrolling=auto>\n");
          printf("  <frame name='invisibleFrame' src='' noresize marginwidth=0 marginheight=0 scrolling=auto>\n");
          printf("  <frame name='headerFrame' src='header.php' marginWidth=0 marginHeight=0 scrolling='no'>\n");
          printf("	<frame name='dataFrame1' src='' marginWidth=10 marginHeight=10 scrolling='no'>\n");
          printf("	<frame name='dataFrame2' src='' marginWidth=10 marginHeight=10 scrolling='no'>\n");
          printf("	<frame name='dataFrame3' src='' marginWidth=10 marginHeight=10 scrolling='no'>\n");
          printf("</frameset>\n");
        }

      }

	    if (($scriptXmldoc = @LoadXmlDocument($scriptFile)) && !$errorsFound)
		  {

        $scriptRoot = xpath_new_context($scriptXmldoc->document_element());
        $runTests = @xpath_eval($scriptRoot, "/diagRun/runTest");
        if (count($runTests->nodeset))
        {

          // Submit the diagRun command - script file
		      $runErrors = "";
  	      $runStatus = "";
          if (GetLanguage() == "ja")
            $diagRunStr = sprintf("%s", $scriptXmldoc->dump_mem(true, "UTF-8"));
          else
            $diagRunStr = sprintf("%s", $scriptXmldoc->dump_mem());
  	      $_SESSION["diagRun"] = $diagRunStr;
  	      ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", $diagRunStr, $runStatus, $runErrors);
  	      $_SESSION["scriptTesting"] = true;
          $xmldoc = new DomDocument($runStatus);
            
  	      $_SESSION["statusxml"] = "";
  
		      $rootElement = $xmldoc->document_element();
  	      $_SESSION["testpid"] = $rootElement->get_attribute("processID");
          $_SESSION["testPage"] = "custom.php";

  	      // GO TO STATUS PAGE NOW...
          printf("<frameset  rows='0,0,65,40,50,*' framespacing=0 frameborder=0 border=0 onload=\"document.frames.globalFrame.tabpage='statusheader.php';document.frames.dataFrame1.doTab(3);\" ");
          if (IsOnline())
           printf("onunload=\"window.open('exit.php');\"");
          printf(">\n");
          printf("  <frame name='globalFrame' src='globals.php?tabpage=statusheader' noresize marginwidth=0 marginheight=0 scrolling=auto>\n");
          printf("  <frame name='invisibleFrame' src='' noresize marginwidth=0 marginheight=0 scrolling=auto>\n");
          printf("  <frame name='headerFrame' src='header.php' marginWidth=0 marginHeight=0 scrolling='no'>\n");
          printf("	<frame name='dataFrame1' src='' marginWidth=10 marginHeight=10 scrolling='no'>\n");
          printf("	<frame name='dataFrame2' src='' marginWidth=10 marginHeight=10 scrolling='no'>\n");
          printf("	<frame name='dataFrame3' src='' marginWidth=10 marginHeight=10 scrolling='no'>\n");
          printf("</frameset>\n");
          
        }                              
        else
        {
         
 
  	      printf("<script language=\"JavaScript\">\n");
          printf("alert('%s');\n", TR("MSG_NO_TESTS_DEFINED_IN_SCRIPT_FILE"));
  	      printf("</script>\n");          
        }

		  }
      else
      { 
  	    printf("<script language=\"JavaScript\">\n");
        printf("alert('Could not open script file - Please verify diagconfig.xml');\n");
  	    printf("</script>\n");          
      }
		  	    
	  }
    else
    {
  
      printf("<frameset  rows='0,0,65,");
      $ci = new client_info();
      if ((strstr($ci->get_client_browser(), "ozilla") || strstr($ci->get_client_browser(), "etscape")) && IsOnline() && !strstr($ci->get_client_platform(), "indows"))
        printf("37");
      else
        printf("40");
      printf(",50,*' framespacing=0 frameborder=0 border=0 ");
      if (IsOnline())
       printf("onunload=\"window.open('exit.php');\"");
      printf(">\n");
      printf("  <frame name='globalFrame' src='globals.php?tabpage=surveytabs' noresize marginwidth=0 marginheight=0 scrolling=auto>\n");
      printf("  <frame name='invisibleFrame' src='' noresize marginwidth=0 marginheight=0 scrolling=auto>\n");
      printf("  <frame name='headerFrame' src='header.php' marginWidth=0 marginHeight=0 scrolling='no'>\n");
      printf("	<frame name='dataFrame1' src='' marginWidth=10 marginHeight=10 scrolling='no'>\n"); //tabs.php?category=overview
      printf("	<frame name='dataFrame2' src='' marginWidth=10 marginHeight=10 scrolling='no'>\n"); //surveytabs.php?category=overview
      printf("	<frame name='dataFrame3' src='' marginWidth=10 marginHeight=10 scrolling='no'>\n");
      printf("</frameset>\n");
    }
  }

?>
